### Enumeration

# Meta Preference

#### Declaration

    enum Meta.Preference

#### Description

No description available.

#### Members

`META_PREF_MOUSE_BUTTON_MODS`

  Mouse button modifiers.

  - Value: `0`
  - Available since: 16
`META_PREF_FOCUS_MODE`

  Focus mode.

  - Value: `1`
  - Available since: 16
`META_PREF_FOCUS_NEW_WINDOWS`

  Focus new windows.

  - Value: `2`
  - Available since: 16
`META_PREF_ATTACH_MODAL_DIALOGS`

  Attach modal dialogs.

  - Value: `3`
  - Available since: 16
`META_PREF_RAISE_ON_CLICK`

  Raise on click.

  - Value: `4`
  - Available since: 16
`META_PREF_ACTION_DOUBLE_CLICK_TITLEBAR`

  Action double click titlebar.

  - Value: `5`
  - Available since: 16
`META_PREF_ACTION_MIDDLE_CLICK_TITLEBAR`

  Action middle click titlebar.

  - Value: `6`
  - Available since: 16
`META_PREF_ACTION_RIGHT_CLICK_TITLEBAR`

  Action right click titlebar.

  - Value: `7`
  - Available since: 16
`META_PREF_AUTO_RAISE`

  Auto-raise.

  - Value: `8`
  - Available since: 16
`META_PREF_AUTO_RAISE_DELAY`

  Auto-raise delay.

  - Value: `9`
  - Available since: 16
`META_PREF_FOCUS_CHANGE_ON_POINTER_REST`

  Focus change on pointer rest.

  - Value: `10`
  - Available since: 16
`META_PREF_NUM_WORKSPACES`

  Number of workspaces.

  - Value: `11`
  - Available since: 16
`META_PREF_DYNAMIC_WORKSPACES`

  Dynamic workspaces.

  - Value: `12`
  - Available since: 16
`META_PREF_KEYBINDINGS`

  Keybindings.

  - Value: `13`
  - Available since: 16
`META_PREF_DISABLE_WORKAROUNDS`

  Disable workarounds.

  - Value: `14`
  - Available since: 16
`META_PREF_BUTTON_LAYOUT`

  Button layout.

  - Value: `15`
  - Available since: 16
`META_PREF_WORKSPACE_NAMES`

  Workspace names.

  - Value: `16`
  - Available since: 16
`META_PREF_VISUAL_BELL`

  Visual bell.

  - Value: `17`
  - Available since: 16
`META_PREF_AUDIBLE_BELL`

  Audible bell.

  - Value: `18`
  - Available since: 16
`META_PREF_VISUAL_BELL_TYPE`

  Visual bell type.

  - Value: `19`
  - Available since: 16
`META_PREF_GNOME_ACCESSIBILITY`

  GNOME accessibility.

  - Value: `20`
  - Available since: 16
`META_PREF_GNOME_ANIMATIONS`

  GNOME animations.

  - Value: `21`
  - Available since: 16
`META_PREF_CURSOR_THEME`

  Cursor theme.

  - Value: `22`
  - Available since: 16
`META_PREF_CURSOR_SIZE`

  Cursor size.

  - Value: `23`
  - Available since: 16
`META_PREF_RESIZE_WITH_RIGHT_BUTTON`

  Resize with right button.

  - Value: `24`
  - Available since: 16
`META_PREF_EDGE_TILING`

  Edge tiling.

  - Value: `25`
  - Available since: 16
`META_PREF_FORCE_FULLSCREEN`

  Force fullscreen.

  - Value: `26`
  - Available since: 16
`META_PREF_WORKSPACES_ONLY_ON_PRIMARY`

  Workspaces only on primary.

  - Value: `27`
  - Available since: 16
`META_PREF_DRAGGABLE_BORDER_WIDTH`

  Draggable border width.

  - Value: `28`
  - Available since: 16
`META_PREF_AUTO_MAXIMIZE`

  Auto-maximize.

  - Value: `29`
  - Available since: 16
`META_PREF_CENTER_NEW_WINDOWS`

  Center new windows.

  - Value: `30`
  - Available since: 16
`META_PREF_DRAG_THRESHOLD`

  Drag threshold.

  - Value: `31`
  - Available since: 16
`META_PREF_LOCATE_POINTER`

  Show pointer location.

  - Value: `32`
  - Available since: 16
`META_PREF_CHECK_ALIVE_TIMEOUT`

  No description available.

  - Value: `33`
  - Available since: 16

#### Type functions

###### meta_preference_to_string

No description available.